Orgs Connections
Update the WhatsApp business profile
Update profile fields on WhatsApp; the profile picture URL is resolved to a media handle server-side.
PATCH
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
profile
Update the WhatsApp business profile
curl --request PATCH \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number_id": "<string>",
"about": "<string>",
"address": "<string>",
"description": "<string>",
"email": "<string>",
"websites": [
"<string>"
],
"profile_picture_url": "<string>"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/profile"
payload = {
"phone_number_id": "<string>",
"about": "<string>",
"address": "<string>",
"description": "<string>",
"email": "<string>",
"websites": ["<string>"],
"profile_picture_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number_id: '<string>',
about: '<string>',
address: '<string>',
description: '<string>',
email: '<string>',
websites: ['<string>'],
profile_picture_url: '<string>'
})
};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"about": "<string>",
"address": "<string>",
"description": "<string>",
"email": "<string>",
"profile_picture_url": "<string>",
"websites": [
"<string>"
]
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
Body
application/jsonmultipart/form-data
Minimum string length:
1Maximum string length:
139Maximum string length:
256Maximum string length:
512Maximum string length:
128Available options:
OTHER, AUTO, BEAUTY, APPAREL, EDU, ENTERTAIN, EVENT_PLAN, FINANCE, GROCERY, GOVT, HOTEL, HEALTH, NONPROFIT, PROF_SERVICES, RETAIL, TRAVEL, RESTAURANT Maximum array length:
2Maximum string length:
256Response
200 - application/json
Available options:
UNDEFINED, NOT_A_BIZ, OTHER, AUTO, BEAUTY, APPAREL, EDU, ENTERTAIN, EVENT_PLAN, FINANCE, GROCERY, GOVT, HOTEL, HEALTH, NONPROFIT, PROF_SERVICES, RETAIL, TRAVEL, RESTAURANT, ALCOHOL, ONLINE_GAMBLING, PHYSICAL_GAMBLING, OTC_DRUGS Was this page helpful?
Previous
List WhatsApp phone numbersList the phone numbers on the WhatsApp Business accounts of a connection, read through a Redis cache.
Next
⌘I
Update the WhatsApp business profile
